
function love.load()
	require("padding.lua")
	require("MiddleClass.lua")
	require("MindState.lua")
	require("Game.lua")
	require("Menu.lua")
	require("Options.lua")
	require("Graphics.lua")
	require("Utilities.lua")
	require("Play.lua")
	require("Player.lua")
	require("Map.lua")
	require("Controller.lua")
	require("ControlSelect.lua")
	Game = Game:new()
	Game.totalJoysticks =  love.joystick.getNumJoysticks( )
	Game.graphicModes = love.graphics.getModes( )
	Game:gotoState('Menu')
	love.keyboard.setKeyRepeat( 100, 20 )
	Game.volume = .75
	Game.modeSelect = 1
end

function love.update ()
	my = love.mouse.getY()
	mx = love.mouse.getX()
	Game:update(dt)
end

function love.draw( )
	Game:draw()
end

function love.mousepressed(x,y,button )
	Game:mousepressed(x,y,button )
end

function love.mousereleased(x,y,button )
	Game:mousereleased(x,y,button )
end

function love.keypressed(key,unicode)
	Game:keypressed(key)
end

function love.keyreleased(key)
	Game:keyreleased(key)
end

